> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve card transaction

> Retrieves a single card transaction by ID.

Required permissions:
 - `payout:account:read`



## OpenAPI

````yaml /openapi/api-v1-stable.json get /card_transactions/{id}
openapi: 3.1.0
info:
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  title: Whop API
  version: 1.0.0
  x-api-version-date: 2026-07-08-1
servers:
  - description: Production Whop API
    url: https://api.whop.com/api/v1
  - description: Sandbox Whop API
    url: https://sandbox-api.whop.com/api/v1
security: []
tags:
  - description: Products
    name: Products
  - description: Payments
    name: Payments
  - description: Refunds
    name: Refunds
  - description: Disputes
    name: Disputes
  - description: Dispute alerts
    name: Dispute alerts
  - description: Resolution center cases
    name: Resolution center cases
  - description: Checkout configurations
    name: Checkout configurations
  - description: Setup intents
    name: Setup intents
  - description: Payment methods
    name: Payment methods
  - description: Invoices
    name: Invoices
  - description: Promo codes
    name: Promo codes
  - description: Card transactions
    name: Card transactions
  - description: Ledger accounts
    name: Ledger accounts
  - description: Withdrawals
    name: Withdrawals
  - description: Payout methods
    name: Payout methods
  - description: Verifications
    name: Verifications
  - description: Identity profiles
    name: Identity profiles
  - description: Payout accounts
    name: Payout accounts
  - description: Topups
    name: Topups
  - description: Companies
    name: Companies
  - description: Authorized users
    name: Authorized users
  - description: Fee markups
    name: Fee markups
  - description: Members
    name: Members
  - description: Memberships
    name: Memberships
  - description: Leads
    name: Leads
  - description: Entries
    name: Entries
  - description: Shipments
    name: Shipments
  - description: Reviews
    name: Reviews
  - description: Company token transactions
    name: Company token transactions
  - description: Affiliates
    name: Affiliates
  - description: Experiences
    name: Experiences
  - description: Forums
    name: Forums
  - description: Forum posts
    name: Forum posts
  - description: Chat channels
    name: Chat channels
  - description: Support channels
    name: Support channels
  - description: Messages
    name: Messages
  - description: Reactions
    name: Reactions
  - description: Dm members
    name: Dm members
  - description: Dm channels
    name: Dm channels
  - description: Notifications
    name: Notifications
  - description: Courses
    name: Courses
  - description: Course chapters
    name: Course chapters
  - description: Course lessons
    name: Course lessons
  - description: Course students
    name: Course students
  - description: Course lesson interactions
    name: Course lesson interactions
  - description: Apps
    name: Apps
  - description: Webhooks
    name: Webhooks
  - description: App builds
    name: App builds
  - description: Access tokens
    name: Access tokens
  - description: Account links
    name: Account links
  - description: Files
    name: Files
  - description: Ai chats
    name: Ai chats
  - description: Bounties
    name: Bounties
  - description: Stats
    name: Stats
  - description: Conversions
    name: Conversions
  - description: Ad reports
    name: Ad reports
paths:
  /card_transactions/{id}:
    get:
      tags:
        - Card transactions
      summary: Retrieve card transaction
      description: |-
        Retrieves a single card transaction by ID.

        Required permissions:
         - `payout:account:read`
      operationId: retrieveCardTransaction
      parameters:
        - description: The card transaction ID (citx_xxx).
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardTransaction'
          description: A successful response
        '400':
          content:
            application/json:
              example:
                error:
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
                  type: invalid_request_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              example:
                error:
                  message: Invalid or missing API key
                  type: unauthorized
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Unauthorized
        '403':
          content:
            application/json:
              example:
                error:
                  message: You do not have permission to access this resource
                  type: forbidden
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              example:
                error:
                  message: Resource not found
                  type: not_found
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Not found
        '422':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Verification required
        '429':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Too many requests
        '500':
          content:
            application/json:
              example:
                error:
                  message: An unexpected error occurred
                  type: internal_server_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Internal server error
      security:
        - bearerAuth:
            - payout:account:read
components:
  schemas:
    CardTransaction:
      description: A card transaction record.
      properties:
        authorization_method:
          description: How the card was presented or authenticated for the purchase.
          example: ecommerce
          type:
            - string
            - 'null'
        card_id:
          description: >-
            Represents a unique identifier that is Base64 obfuscated. It is
            often used to refetch an object or as key for a cache. The ID type
            appears in a JSON response as a String; however, it is not intended
            to be human-readable. When expected as an input type, any string
            (such as `"VXNlci0xMA=="`) or integer (such as `4`) input value will
            be accepted as an ID.
          type: string
        cashback_usd_amount:
          description: The cashback reward amount earned on this transaction, in USD.
          example: 6.9
          type:
            - number
            - 'null'
        created_at:
          description: The datetime the card transaction was created.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type: string
        currency:
          description: The ISO 4217 currency code for the transaction amount.
          example: USD
          type:
            - string
            - 'null'
        declined_reason:
          description: The issuer-provided reason the transaction was declined.
          example: insufficient_funds
          type:
            - string
            - 'null'
        id:
          description: The unique identifier for the card transaction.
          type: string
        international:
          description: >-
            Whether the transaction was made with a merchant outside the card's
            home country.
          type: boolean
        local_amount:
          description: >-
            The transaction amount in the merchant's local currency before
            conversion.
          example: 6.9
          type:
            - number
            - 'null'
        memo:
          description: A user-provided note attached to the transaction.
          example: Team dinner
          type:
            - string
            - 'null'
        merchant_category:
          description: The enriched or raw category label for the merchant.
          example: Software
          type:
            - string
            - 'null'
        merchant_category_code:
          description: The four-digit ISO 18245 merchant category code (MCC).
          example: '5734'
          type:
            - string
            - 'null'
        merchant_icon_url:
          description: A URL to the enriched merchant logo image.
          example: https://logo.clearbit.com/example.com
          type:
            - string
            - 'null'
        merchant_name:
          description: >-
            The enriched or raw name of the merchant where the purchase was
            made.
          example: Acme Corporation
          type:
            - string
            - 'null'
        posted_at:
          description: When the transaction was settled by the card network.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/CardIssuingTransactionStatus'
          description: The current lifecycle status of the transaction.
        transaction_type:
          description: The type of transaction.
          example: spend
          type: string
        usd_amount:
          description: The transaction amount in USD.
          example: 6.9
          type:
            - number
            - 'null'
      required:
        - id
        - usd_amount
        - authorization_method
        - created_at
        - card_id
        - cashback_usd_amount
        - currency
        - declined_reason
        - international
        - local_amount
        - memo
        - merchant_category
        - merchant_category_code
        - merchant_icon_url
        - merchant_name
        - posted_at
        - status
        - transaction_type
      type: object
    CardIssuingTransactionStatus:
      description: The lifecycle status of a card transaction.
      enum:
        - pending
        - completed
        - reversed
        - declined
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        A company API key, company scoped JWT, app API key, or user OAuth token.
        You must prepend your key/token with the word 'Bearer', which will look
        like `Bearer ***************************`
      scheme: bearer
      type: http

````